petsc-3.13.6 2020-09-29
Report Typos and Errors

# TSTrajectoryGetNumSteps

Return the number of steps registered in the TSTrajectory via TSTrajectorySet().

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectoryGetNumSteps(TSTrajectory tj, PetscInt *steps)

Not collective.

### Input Parameters

tj -the trajectory object

### Output Parameter

steps -the number of steps

### See Also

TSTrajectorySet()

### Level

developer

### Location

src/ts/trajectory/interface/traj.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages